{% extends "base.html" %}


{# ----- HEAD ----- #}

{% if article.media_urls %}
  {% set article_type = "media" %}
  {% if article.content == "" %}
    {% set article_type = "media--only" %}
  {% endif %}
{% else %}
  {% set article_type = "long" %}
{% endif %}

{% block html_lang %}{{ article.lang }}{% endblock %}
{% block title %}{{super()}} &mdash; {{article.title}}{% endblock %}
{% block meta_title %}{{super()}} &mdash; {{article.title}}{% endblock %}
{% block meta_description %}{{article.summary}}{% endblock %}

{% block head %}
  {{ super() }}
  <link rel="stylesheet" type="text/css" href="/{{ THEME_STATIC_DIR }}/css/article.css" />
{% endblock %}

{% block body_class %}
  article article--{{article_type}}
{% endblock body_class %}


{# ----- MACRO ----- #}

{% macro article_header(article) %}

  <h1 class="article__title pad-h">
    {{ article.title }}
  </h1>

  <details class="mobile-details" open>

    <summary>
    </summary>

    <main class="pad-h">
      <time class="date" datetime="{{ article.date.isoformat() }}">{{article.locale_date}}</time>
      
      {% if article.summary %}
      <div class="article__short">
        {{article.summary}}
      </div>
      {% endif %}
      
      {% if article.toc %}
      <div class="article__toc text-small">
        {{ article.toc }}
      </div>
      {% endif %}
    </main>

  </details>

{% endmacro %}

{% macro article_footer(article) %}
    {% if article.tags %}
    <ul class="tags block-list">
        {% for tag in article.tags %}
            <li>{{tag}}</li>
        {% endfor %}
    </ul>
    {% endif %}
    {% if article.modified %}
    <time class="date modified" datetime="{{ article.modified.isoformat() }}">
      last modified: {{ article.locale_modified }}
    </time>
    {% endif %}
{% endmacro %}

{# ----- ARTICLE CONTENT ----- #}

{% block content %}

{% if article_type == "long" %}

  <section class="article__aside full-h-sticky">
    <nav class="article__nav text-long">
      <a href="/" class="button-link pad-h">home</a>
    </nav>
    <header class="article__header pad-v text-long">
      {{ article_header(article) }}
    </header>
    <footer class="article__footer pad text-small">
      {{ article_footer(article) }}
    </footer>
  </section>

  <section class="article__text pad-big text-long">
    <main class="article__content">
      {{ article.content }}
    </main>
  </section>

{% elif article_type == "media" %}

  <section class="article__text full-h-sticky">
    <nav class="article__nav text-long">
      <a href="/" class="button-link pad-h">home</a>
    </nav>
    <header class="article__header pad-v text-long">
      {{ article_header(article) }}
    </header>
    <main class="article__content pad text-long">
      {{ article.content }}
    </main>
    <footer class="article__footer pad text-small">
      {{ article_footer(article) }}
    </footer>
  </section>

  <section class="article__media pad full-h-sticky">
    {% for media_url in article.media_urls %}
      <a href="/{{ media_url }}" target="_blank" title="open media in a new tab">
        <img src="/{{ media_url }}" alt="{# TODO #}">
      </a>
    {% endfor %}
  </section>

{% elif article_type == "media--only" %}

  <section class="article__aside pad">
    <nav class="article__nav">
      <a href="/" class="button-link pad-h">home</a>
    </nav>
    <header class="article__header pad">
      {{ article_header(article) }}
    </header>
    <footer class="article__footer pad text-small">
      {{ article_footer(article) }}
    </footer>
  </section>

  <section class="article__media pad">
    {% for media_url in article.media_urls %}
      <a href="/{{ media_url }}" target="_blank" title="open media in a new tab">
        <img src="/{{ media_url }}" alt="{# TODO #}">
      </a>
    {% endfor %}
  </section>

{% endif %}

{% endblock %}
